extends Node

@export var reset_targets : Array[NodePath]

const RESET_INTERFACE_NAME := "scene_reset"

func reset_all() -> void:
	for i in reset_targets:
		var t := get_node_or_null(i)
		if t and t.has_method("scene_reset"):
			t.scene_reset()
